CREATE TABLE IF NOT EXISTS pull_request_comment (
    id UUID PRIMARY KEY DEFAULT gen_random_uuid(),
    pull_request UUID NOT NULL REFERENCES pull_request(id),
    author UUID NOT NULL,
    body TEXT NOT NULL,
    created_at TIMESTAMPTZ NOT NULL DEFAULT now(),
    updated_at TIMESTAMPTZ NOT NULL DEFAULT now(),
    deleted_at TIMESTAMPTZ
);
